Subject: Re: [PATCHv2 net-next 2/2] bridge: Add a flag to control unicast packet flood.

From: Vlad Yasevich <[email-masked]>
Date: Tue, 30 Apr 2013 10:02:30 -0400

On 04/29/2013 07:43 PM, Stephen Hemminger wrote:
> On Mon, 29 Apr 2013 13:35:45 -0400
> Vlad Yasevich <[email-masked]> wrote:
>
>> Add a flag to control flood of unicast traffic.  By default, flood is
>> on and the bridge will flood unicast traffic if it doesn't know
>> the destination.  When the flag is turned off, unicast traffic
>> without an FDB will not be forwarded to the specified port.
>>
>> Signed-off-by: Vlad Yasevich <[email-masked]>
>> Reviewed-by: Michael S. Tsirkin <[email-masked]>
>>
>
> This a good idea and thank you for doing it. I like that the flag is expressed
> as a positive value (rather than an inverse value like no-flood).
>
> The name BR_UNICAST_FLOOD is too long, just use BR_FLOOD and keep the code
> shorter.
>
> This doesn't apply against current net-next (same problem as first patch).
>
> Also, I am not a fan of having lots of boolean flag variables in normal
> code paths. It ends up reading like PASCAL code. But probably unavoidable in this case.
>

Sorry, I'll rebase and resubmit.  The alternative there is to possibly
flag skb->cb.  Then we wouldn't need to pass the argument around.
If you'd rather I do that, it's easy enough.

Thanks
-vlad